<?php
/**
 * @category    Pinpoint
 * @package     Pinpoint_Faq
 * @copyright   Copyright (c) 2019 Pinpoint Designs. (http://www.Pinpoint.co.uk)
 * @author      Ahmed Goda <hello@Pinpoint.co.uk>
 */

namespace Pinpoint\Faq\Model\ResourceModel\Faq;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;
use Pinpoint\Faq\Api\Data\FaqInterface;
use Pinpoint\Faq\Model\Faq;
use Pinpoint\Faq\Model\ResourceModel\Faq as FaqResource;

/**
 * Class Collection
 */
class Collection extends AbstractCollection
{
    protected $_idFieldName = FaqInterface::FAQ_ID;

    /**
     * Collection initialisation
     */
    protected function _construct()
    {
        $this->_init(Faq::class, FaqResource::class);
    }
}
